<app-home></app-home>
<form #form="ngForm" (submit)="onSubmit(form)" autocomplete="off">
   
  <div class="container">
      <div class="row">
        <div class="col-sm-9 col-md-7 col-lg-25 mx-auto">
          <div class="card card-signin my-5">
            <div class="card-body">
              <h3 class="card-title text-center">Assocaite Details</h3><br/>

              <div>
                <label>Employee ID</label>
                <input type="text" name="employeeID" class="form-control" #employeeID="ngModel" [ngModel]="_freeApiService.associateDetails?.employeeID" required autofocus/>
             <br/>
             </div>
             <div>
                <label>Employee Name </label>
                <input type="text" name="associateName" class="form-control" #associateName="ngModel" [ngModel]="_freeApiService.associateDetails?.associateName" />
             <br/>
            </div>
            <div>
                <label>Contact Number </label>
                <input type="text" name="contactNumber" class="form-control" #contactNumber="ngModel" [ngModel]="_freeApiService.associateDetails?.contactNumber" />
             <br/>
             </div>
             <div>
              <label>Email </label>
              <input type="text" name="emailId" class="form-control" #emailId="ngModel" [ngModel]="_freeApiService.associateDetails?.emailId" />
           <br/>
           </div>
           <!-- <div>
            <label>Role </label>
            <input type="text" name="roleId" class="form-control" #roleId="ngModel" [ngModel]="_freeApiService.associateDetails?.roleId" />
         <br/>
         </div> -->
                 <br/>
                <div class="form-group">
                    <button class="col-lg-6 btn btn-lg btn-primary btn-block text-uppercase"  [disabled]="form.invalid">Save</button>
                     <div class="alert alert-dismissible alert-success" *ngIf="showMsg">
                        <button type="button" class="close" data-dismiss="alert">&times;</button>
                        <strong>Associate details saved successfully!!!</strong> 
                      </div>
                </div>
            </div>
            
          </div>
          
        </div>
        
      </div>
    </div>
  </form>

  